#!/bin/bash

MovingImgName="/media/sf_Common/PMRI/SG25_24/NIFTI/bSG25_24_T1.nii" # Your Moving MRI
OnlyBrainT1name="/media/sf_Common/PMRI/SG25_24/NIFTI/bbSG25_24_T1.nii"
OutputImgName="/media/sf_Common/PMRI/SG25_24/NIFTI/nrbSG25_24_T1.nii" # Output MRI
OutputAffine="/media/sf_Common/PMRI/SG25_24/NIFTI/nrbSG25_24_Affine.mat"
DeformationFieldName="/media/sf_Common/PMRI/SG25_24/NIFTI/nrbSG25_24_deform.nii"
DeformCoefficientName="/media/sf_Common/PMRI/SG25_24/NIFTI/nrbSG25_24_deform_coeff.nii"

SECOND=0
RefImgName="/usr/local/fsl/data/standard/MNI152_T1_2mm.nii.gz" # Reference MRI (MNI152_T1_1mm.nii.gz)
OnlyBrainRefImgName="/usr/local/fsl/data/standard/MNI152_T1_2mm_brain.nii.gz"
flirt -ref $OnlyBrainRefImgName -in $OnlyBrainT1name -omat $OutputAffine
fnirt --ref=$RefImgName --in=$MovingImgName --aff=$OutputAffine --config=T1_2_MNI152_2mm --iout=$OutputImgName --fout=$DeformationFieldName --cout=$DeformCoefficientName
applywarp --ref=$RefImgName --in=$MovingImgName --warp=$DeformCoefficientName --out=$OutputImgName
t=$SECONDS
printf 'Time taken: %d days, %d minutes\n' "$(( t/86400 ))" "$(( t/60 - 1440*(t/86400) ))"
